org.apache.ignite.internal.processors.jobmetrics

## Class GridJobMetricsSnapshot

- java.lang.Object
- - org.apache.ignite.internal.processors.jobmetrics.GridJobMetricsSnapshot

    public class GridJobMetricsSnapshot
    extends Object

Job metrics snapshot.

### Constructor Summary

Constructors
Constructor and Description
`GridJobMetricsSnapshot()`

### Method Summary

Methods
`int` `getActiveJobs()`
`int` `getCancelJobs()`
`double` `getCpuLoad()`
`long` `getExecutionTime()`
`int` `getFinishedJobs()`
`long` `getMaximumExecutionTime()`
`long` `getMaximumWaitTime()`
`int` `getPassiveJobs()`
`int` `getRejectJobs()`
`int` `getStartedJobs()`
`long` `getTimestamp()`
`long` `getWaitTime()`
`void` `setActiveJobs(int activeJobs)`
`void` `setCancelJobs(int cancelJobs)`
`void` `setCpuLoad(double cpuLoad)`
`void` `setExecutionTime(long execTime)`
`void` `setFinishedJobs(int finished)`
`void` `setMaximumExecutionTime(long maxExecTime)`
`void` `setMaximumWaitTime(long maxWaitTime)`
`void` `setPassiveJobs(int passiveJobs)`
`void` `setRejectJobs(int rejectJobs)`
`void` `setStartedJobs(int started)`
`void` `setWaitTime(long waitTime)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobMetricsSnapshot

    public GridJobMetricsSnapshot()

### Method Detail

#### getActiveJobs

    public int getActiveJobs()

Returns:
  The activeJobs.

#### setActiveJobs

    public void setActiveJobs(int activeJobs)

Parameters:
  `activeJobs` - The activeJobs to set.

#### getPassiveJobs

    public int getPassiveJobs()

Returns:
  The passiveJobs.

#### setPassiveJobs

    public void setPassiveJobs(int passiveJobs)

Parameters:
  `passiveJobs` - The passiveJobs to set.

#### getCancelJobs

    public int getCancelJobs()

Returns:
  The cancelJobs.

#### setCancelJobs

    public void setCancelJobs(int cancelJobs)

Parameters:
  `cancelJobs` - The cancelJobs to set.

#### getRejectJobs

    public int getRejectJobs()

Returns:
  The rejectJobs.

#### setRejectJobs

    public void setRejectJobs(int rejectJobs)

Parameters:
  `rejectJobs` - The rejectJobs to set.

#### getExecutionTime

    public long getExecutionTime()

Returns:
  The execTime.

#### setExecutionTime

    public void setExecutionTime(long execTime)

Parameters:
  `execTime` - The execTime to set.

#### getWaitTime

    public long getWaitTime()

Returns:
  The waitTime.

#### setWaitTime

    public void setWaitTime(long waitTime)

Parameters:
  `waitTime` - The waitTime to set.

#### getMaximumExecutionTime

    public long getMaximumExecutionTime()

Returns:
  The maxExecTime.

#### setMaximumExecutionTime

    public void setMaximumExecutionTime(long maxExecTime)

Parameters:
  `maxExecTime` - The maxExecTime to set.

#### getMaximumWaitTime

    public long getMaximumWaitTime()

Returns:
  The maxWaitTime.

#### setMaximumWaitTime

    public void setMaximumWaitTime(long maxWaitTime)

Parameters:
  `maxWaitTime` - The maxWaitTime to set.

#### getTimestamp

    public long getTimestamp()

Returns:
  The timestamp.

#### getFinishedJobs

    public int getFinishedJobs()

Returns:
  Number of finished jobs for this snapshot.

#### setFinishedJobs

    public void setFinishedJobs(int finished)

Parameters:
  `finished` - Number of finished jobs for this snapshot.

#### getStartedJobs

    public int getStartedJobs()

Returns:
  Started jobs.

#### setStartedJobs

    public void setStartedJobs(int started)

Parameters:
  `started` - Started jobs.

#### getCpuLoad

    public double getCpuLoad()

Returns:
  Current CPU load.

#### setCpuLoad

    public void setCpuLoad(double cpuLoad)

Parameters:
  `cpuLoad` - Current CPU load.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015